ClickableLabel Class Reference

`#include <ClickableLabel.h>`

Inheritance diagram for ClickableLabel:

## Signals

void | Mouse_Pressed ()
void | Mouse_Pos ()
void | Mouse_Left ()

## Public Member Functions

| ClickableLabel (QWidget *parent=0)
| Constructor.
void | mouseMoveEvent (QMouseEvent *ev)
| Funtion to add mouse event to the labelWidget.
void | mousePressEvent (QMouseEvent *ev)
| Funtion to add mouse event to the labelWidget.
void | leaveEvent (QEvent *)
| Funtion to add mouse event to the labelWidget.

## Public Attributes

int | x
int | y

## Detailed Description

A class that permits a label to be clicked.

With this class we can determine de mouse position when is pressed and when the mouse left the label.

The documentation for this class was generated from the following files:

- ClickableLabel.h
- ClickableLabel.cpp